Fahrtenbuch

Statistics

Get statistics

GET
/statistics

Authorization

bearerAuth
headerAuthorizationBearer <JWT>

Query Parameters

from?string
Formatdate
to?string
Formatdate
vehicleId?string
Formatuuid
type?string
Value in"business""private""commute""unclassified"

Response Body

Statistiken

Example Request
curl -X GET 'https://example.com/api/v1/statistics'
Example Response200
Empty

Get monthly statistics

GET
/statistics/monthly

Authorization

bearerAuth
headerAuthorizationBearer <JWT>

Response Body

Monatsstatistik

Example Request
curl -X GET 'https://example.com/api/v1/statistics/monthly'
Example Response200
Empty

Get vehicle statistics

GET
/statistics/vehicles

Authorization

bearerAuth
headerAuthorizationBearer <JWT>

Response Body

Fahrzeugstatistik

Example Request
curl -X GET 'https://example.com/api/v1/statistics/vehicles'
Example Response200
Empty
GET
/statistics/leasing-live-km

Authorization

bearerAuth
headerAuthorizationBearer <JWT>

Response Body

Successful response

Example Request
curl -X GET 'https://example.com/api/v1/statistics/leasing-live-km'
Example Response
Empty
GET
/statistics/monthly-trips

Authorization

bearerAuth
headerAuthorizationBearer <JWT>

Response Body

Successful response

Example Request
curl -X GET 'https://example.com/api/v1/statistics/monthly-trips'
Example Response
Empty
GET
/statistics/odometer-intervals

Authorization

bearerAuth
headerAuthorizationBearer <JWT>

Query Parameters

vehicleId*string
Formatuuid
from*string
Formatdate
to*string
Formatdate

Response Body

Kilometer- und Fahrtenwerte je Ableseintervall. trackedKm enthält Fahrten freigegebener Fahrer während der eigenen Halterschaft; deren Summe steht zusätzlich in otherDriversKm (ohne Kategorien).

Example Request
curl -X GET 'https://example.com/api/v1/statistics/odometer-intervals?vehicleId=497f6eca-6276-4993-bfeb-53cbbbba6f08&from=2019-08-24&to=2019-08-24'
Example Response200
Empty
GET
/statistics/monthly-odometer

Authorization

bearerAuth
headerAuthorizationBearer <JWT>

Response Body

Monatliche Kilometerstatistik je Fahrzeug, inkl. geteilter Fahrzeuge (access = owner|shared). Für Besitzer enthält trackedKm Fahrten freigegebener Fahrer während der eigenen Halterschaft, deren Summe zusätzlich in otherDriversKm steht (ohne Kategorien). Bei geteilten Fahrzeugen nur die eigenen Fahrten, ohne Ablesungen (actualKm/unknownKm null).

Example Request
curl -X GET 'https://example.com/api/v1/statistics/monthly-odometer'
Example Response200
Empty